SmapUtil (Tomcat API Documentation)
Keywords: org.apache.jasper.compiler.SmapUtil class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class SmapUtil

    java.lang.Object
      org.apache.jasper.compiler.SmapUtil

    public class SmapUtil

extends java.lang.Object

Contains static utilities for generating SMAP data based on the current version of Jasper.

Author:
  Jayson Falkner, Shawn Bayern, Robert Field (inner SDEInstaller class), Mark Roth, Kin-man Chung

Field Summary
`static java.lang.String` | `SMAP_ENCODING`

Constructor Summary
`SmapUtil()`

Method Summary
`static void` | `evaluateNodes(Node.Nodes nodes, SmapStratum s, java.util.HashMap innerClassMap, boolean breakAtLF)`
`static java.lang.String[]` | `generateSmap(JspCompilationContext ctxt, Node.Nodes pageNodes)` Generates an appropriate SMAP representing the current compilation context.
`static void` | `installSmap(java.lang.String[] smap)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SMAP_ENCODING

    public static final java.lang.String SMAP_ENCODING

See Also:
  Constant Field Values

Constructor Detail

### SmapUtil

    public SmapUtil()

Method Detail

### generateSmap

    public static java.lang.String[] generateSmap(JspCompilationContext ctxt,
                                                  Node.Nodes pageNodes)
                                           throws java.io.IOException

  Generates an appropriate SMAP representing the current compilation context. (JSR-045.)

  Parameters:
    `ctxt` - Current compilation context
    `pageNodes` - The current JSP page
  Returns:
    a SMAP for the page
  Throws:
    `java.io.IOException`

### installSmap

    public static void installSmap(java.lang.String[] smap)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### evaluateNodes

    public static void evaluateNodes(Node.Nodes nodes,
                                     SmapStratum s,
                                     java.util.HashMap innerClassMap,
                                     boolean breakAtLF)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.